import { TranslateLoader } from '@ngx-translate/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
/**
 // Usage in module
 export function HttpLoaderFactory(http: HttpClient) {
  let reqHeaders = new HttpHeaders();
  reqHeaders = reqHeaders.set('Authorization',
    localStorage.getItem('token_type') + ' ' + localStorage.getItem('access_token'));
  return new CustomTranslateHttpLoader(http, 'http://localhost:8081/salam', {key: 'a'}, reqHeaders);
}
 @NgModule({
 ... ,
 imports: [
 ... ,
 TranslateModule.forRoot({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
 ...
 ],
 ...
 })
 */
export declare class CustomTranslateHttpLoader implements TranslateLoader {
    http: HttpClient;
    url: string;
    query: {
        key: string;
    };
    reqHeaders: HttpHeaders;
    constructor(http: HttpClient, url: string, query: {
        key: string;
    }, reqHeaders: HttpHeaders);
    /**
     * Gets the translations from the server
     */
    getTranslation(lang: string, remote?: boolean): Observable<any>;
    getLocalJson(lang: any): Observable<Object>;
    getRemoteJson(lang: any): Observable<Object>;
}
