/**
 * @author Jafar Amini in March 2018.
 */
import { NotifyType } from './notify-type';
import { NotifyPlacement } from './notify-placement';
import { TEMPLATES } from './templates/template.enums';
export declare class NotifyConfig {
    settings?: NotifyConfigSettings;
    options?: NotifyConfigOptions;
    constructor(notifyType: NotifyType, notifyPlacement: NotifyPlacement, template: TEMPLATES, message: string, title?: string);
}
export declare class NotifyConfigSettings {
    element?: string;
    position?: null;
    type?: NotifyType;
    allow_dismiss?: boolean;
    newest_on_top?: boolean;
    showProgressbar?: boolean;
    placement?: NotifyPlacement;
    offset?: number;
    spacing?: number;
    z_index?: number;
    delay?: number;
    timer?: number;
    url_target?: string;
    mouse_over?: any;
    animate?: {
        enter: string;
        exit: string;
    };
    onShow?: any;
    onShown?: any;
    onClose?: any;
    onClosed?: any;
    icon_type?: string;
    template?: string;
}
export declare class NotifyConfigOptions {
    icon?: string;
    title?: string;
    message?: string;
    url?: string;
    target?: string;
}
