import { ActivatedRouteSnapshot } from '@angular/router';
import { UnFlatifyOptions } from './un-flatify-options';
import { PairKeyValue } from '../../nb-helper/helper/pairs';
export declare class ObjectUtil {
    static getObjectPropertyFromParamMap(object: Object, route: ActivatedRouteSnapshot): void;
    static getObjectPropertyList(object: Object): string[];
    static unFlatify(flatParams: any, dest: any, options?: UnFlatifyOptions): any;
    static unFlatify2(flatParams: any, dest: any, sample: any, options?: UnFlatifyOptions): any;
    private static getConvertedType;
    static deepClone(objectpassed: any): any;
    static circularDeepClone(obj: any): any;
    static overlayValues(source: any, dest: any): any;
    static overlayValuesClearDestObjects(source: any, dest: any): any;
    static FlatiFy(newObject: any, object: any, removeIfEmpty?: boolean): any;
    static getObject2KeyValArray(value: any): PairKeyValue[];
    /**
     *
     * @param obj
     * @param desc
     * Example:
     var obj = {a: {b: {c: 0}}};
     var propPath = getPropPath();  // returns e.g. "a.b.c"
     var result = getDescendantProp(obj, propPath);
     console.log(result); // output: 0
     */
    static getDescendantProp(obj: any, propPath: any): any;
    /**
     *
     * @param obj
     * @param desc
     * @param value
     *
     Example:
     var obj = {a: {b: {c: 0}}};
     var propPath = getPropPath();  // returns e.g. "a.b.c"
     var result = setDescendantProp(obj, propPath, 1);  // test.a.b.c will now be 1
     */
    static setDescendantProp(obj: any, propPath: any, value: any): any;
    /**
     *
     * @param obj
     * @param desc
     * @param value
     *
     Example:
     var obj = {a: {b: {c: 0}}};
     var propPath = getPropPath();  // returns e.g. "a.b.c"
     var result = pushDescendantProp(obj, propPath, 1);  // test.a.b.c will now be 1
     */
    static pushDescendantProp(obj: any, propPath: any, value: any): any;
    /**
     *
     * @param str
     * @param val
     * @param obj
     * example: str= 'a.b.c', val = {"title":"alef", code: 2}, obj = {} --> result: obj= a: {b: {c: {"title":"alef", code: 2}}}
     */
    static parseDotNotationAndSetValue(str: any, val: any, obj: any): void;
    static listToObject(list: any[], getKey: any): {};
}
